## meep-openmpi 1.1.1

=== debian/changelog ===
meep-openmpi (1.1.1-10) unstable; urgency=low

  * Configure with --with-gcc-arch=no to generate generic code.
    (Closes: #735369)
  * debian/control: remove DM-Upload-Allowed
  * debian/copyright: fix lintian warning about duplicate field

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 21 Jan 2014 18:20:00 +0100

meep-openmpi (1.1.1-9~deb7u1) wheezy; urgency=low

  * upload to wheezy; Closes: #711766 in stable

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 27 Nov 2013 17:00:00 +0100

meep-openmpi (1.1.1-9) unstable; urgency=low

  * debian/rules: mv /usr/include/meep-openmpi to /usr/include/meep
                  (Closes: #711766)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 09 Jun 2013 11:00:00 +0200

meep-openmpi (1.1.1-8) unstable; urgency=low

  * debian/control: depend on debhelper >=8
  * debian/control: dependency on dpatch removed
  * debian/control: standards version changed to 3.9.2 (no changes)
  * debian/rules: build-arch and build-indep according to lintian
                  recommendation added
  * debian/rules: dpatch targets removed
  * debian/README.source: changed from dpatch to quilt
  * debian/source/format: 3.0 (quilt)

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 13 Dec 2011 18:00:00 +0100

meep-openmpi (1.1.1-7) unstable; urgency=low

  * Version 1.1.1-6 was linked against libltdl3 which is no longer
    available. This resulted in an unsatisfiable Depends on i386.
    Any other architecture had no problems during building.
  * Further libatlas3gf-sse2 (needed due to dependency on libharminv-dev)
    is no longer available.

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 14 Sep 2010 18:00:00 +0200

meep-openmpi (1.1.1-6) unstable; urgency=low

  * debian/rules: remove rpath with chrpath
  * debian/control: dependencies on chrpath added
  * as version 1.1.1-5 has been rejected, the bug (Closes: #590391)
    has to be closed again

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 16 Aug 2010 18:00:00 +0200

meep-openmpi (1.1.1-5) unstable; urgency=low

  * debian/control: tighten dependencies (Closes: #590391)
                    due to changed dependencies of dependent packages, this
                    package has to depend on libatlas-base-dev now
  * debian/control: standards version changed to 3.9.1 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 15 Aug 2010 14:00:00 +0200

meep-openmpi (1.1.1-4) unstable; urgency=low

  * this is a spin-off from package meep-mpi
    As requested by users, this is a version with openmpi libraries. 
    (Closes: #491581)
  * debian/rules: dpatch activated again
  * patch in configure to build meep-openmpi instead of meep-mpi
  * debian/control: removed field "priority" from meep-openmpi (Lintian Info)
  * debian/control: add conflict for other meep-dev-libs
  * debian/control: standards version changed to 3.8.4

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 29 Jan 2010 19:00:00 +0100

meep (1.1.1-3) unstable; urgency=low

  * debian/rules: change configure script to produce meep-mpi paths
                  everywhere (closes: #551822)
  * debian/control: DM-Upload-Allowed added

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 29 Oct 2009 18:00:00 +0200

meep (1.1.1-2) unstable; urgency=low

  * debian/control: conflicts added for old libmeep versions
    (closes: #548298, #548300)

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 25 Sep 2009 19:00:00 +0200

meep (1.1.1-1) unstable; urgency=low

  * New upstream release (Closes: #526352, #530868, #543431)
  * debian/rules: dpatch deactivated again, patches are included in upstream
  * debian/rules: added upstream file ChangeLog to package (pedantic lintian)
  * debian/control: Standards-Version changed to 3.8.3
  * debian/*.symbols*: Maintaining symbols files for these internal libraries 
    does not appear to be a good idea at present as arch- and optimisation-
    dependent symbols tend to slip in. So turning off generation of symbols 
    files has a side-effec of fixing the build failures on armel, mips and 
    mipsel. (also closes: #537813)
  * upstream changed soname from 2 to 6
  * added lintian overrides (see comments in override file):
    - no-symbols-control-file

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 31 Aug 2009 18:00:00 +0200

meep (0.20.3-3) unstable; urgency=low

  * adding modified symbols files (Closes: #520185)
    - for arch alpha, hppa, powerpc, s390, sparc
  * added ldconfig in postinst and postrm for libmeep2 and libmeep-mpi2
    to meet requirements of policy 8.1.1
  * debian/control: Standards-Version changed to 3.8.1
  * debian/control: depending on libctl-dev >=3.0.3-3 in order to use guile-1.8
  * added non empty file meep-enums.scm

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 22 Apr 2009 19:45:00 +0200

meep (0.20.3-2) unstable; urgency=low

  * removed lintian warnings
    - debian/control more detailed extended description
    - debian/copyright changed License:-tag to correct value GPL-2+
    - adding minimal symbols file for libmeep2 and libmeep-mpi2
    - adding modified symbols files for arch amd64
  * applied patch for FTBFS with gcc4.4 (Closes: #505002)
  * debian/rules dpatch activated again

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 19 Feb 2009 19:30:00 +0100

meep (0.20.3-1) unstable; urgency=low

  * New upstream release (Closes: #491516, #491593, #491889)
  * New maintainer (Closes: #481042)
  * debian/control: Standards-Version changed to 3.8.0
  * debian/control: Homepage: added
  * debian/control: Build-Depends: changed to new name of libraries
  * debian/control: meep 0.20 now depends on libctl 3.0.3
  * soname of libraries increased to 2 by upstream

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 21 Jul 2008 18:30:00 +0100

meep (0.10-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add include to fix FTBFS on gcc4.3, closes: 455289
  * Transition to gortran, closes: 468877
  * make package binNMUable.


