=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

package = meep-openmpi
soname = 6
lm = lib$(package)$(soname)
lmd = lib$(package)-dev

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CONFIGURE_FLAGS = --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
	--prefix=/usr --mandir=\$${prefix}/share/man \
	--infodir=\$${prefix}/share/info \
	--with-libctl=/usr/share/libctl3 \
	--with-gcc-arch=no \
	--enable-shared --with-pic --enable-cxx \
	--with-mpi=yes

configure: configure-stamp-openmpi

configure-stamp-openmpi: 
	dh_testdir
	mkdir -p debian/build-openmpi
	cat configure | \
		sed "s/PACKAGE_NAME='meep'/PACKAGE_NAME='meep-openmpi'/g" |\
		sed "s/PACKAGE='meep'/PACKAGE='meep-openmpi'/g" > configure-openmpi
	chmod 755 configure-openmpi
	cd debian/build-openmpi && \
	F77=gfortran ../../configure-openmpi $(CONFIGURE_FLAGS) 
	rm -f configure-openmpi
	touch configure-stamp-openmpi

build: build-arch build-indep
build-arch: build-stamp-openmpi
build-indep: build-stamp-openmpi

build-stamp-openmpi: configure-stamp-openmpi 
	dh_testdir
	$(MAKE) -C debian/build-openmpi/
	touch build-stamp-openmpi

clean:
	dh_testdir
	dh_testroot
	-rm -rf debian/build-openmpi
	dh_clean configure-stamp* build-stamp* install-stamp*

install: install-openmpi
        # Lintian overrides
	set -e; \
	cd debian ; \
	for i in *.lintian ; do \
	  [ -r "$$i" ] && { \
	    mkdir -p "$${i%%.lintian}/usr/share/lintian/overrides" ;\
	    install  -m 644 "$$i" "$${i%%.lintian}/usr/share/lintian/overrides/$${i%%.lintian}" ;\
	  } ;\
	done

install-openmpi: build-stamp-openmpi
	dh_testdir
	dh_testroot
	mkdir -p debian/build-openmpi/tmpinst
	$(MAKE) -C debian/build-openmpi/ install prefix=$(CURDIR)/debian/build-openmpi/tmpinst/usr
	/usr/bin/chrpath -d debian/build-openmpi/tmpinst/usr/lib/libmeep_openmpi.so
	/usr/bin/chrpath -d debian/build-openmpi/tmpinst/usr/bin/meep-openmpi
	mv debian/build-openmpi/tmpinst/usr/include/meep-openmpi debian/build-openmpi/tmpinst/usr/include/meep
	dh_install -pmeep-openmpi -p$(lm) -p$(lmd) \
                --sourcedir=debian/build-openmpi/tmpinst

binary-indep:

binary-arch: build install
	dh_testdir
	dh_testroot 
	dh_installdocs
	dh_installman
	dh_installman -pmeep-openmpi debian/meep-openmpi.1
	dh_installchangelogs ChangeLog
	dh_link 
	dh_strip 
	dh_compress
	dh_fixperms 
	dh_makeshlibs -p$(lm)
	dh_installdeb
	dh_shlibdeps -pmeep-openmpi
	dh_shlibdeps -p$(lm)
	dh_gencontrol
	dh_md5sums
	dh_builddeb -pmeep-openmpi -p$(lm) -p$(lmd)

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install configure install-openmpi
