## meep-openmpi 1.2.1

=== debian/changelog ===
meep-openmpi (1.2.1-2) unstable; urgency=medium

  * Support hdf5 1.8.13 new packaging layout. (Closes: #756683)
    (patch by Gilles Filippini <pini@debian.org>)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 03 Aug 2014 14:30:00 +0200

meep-openmpi (1.2.1-1) unstable; urgency=medium

  * new upstream version
  * soname changed to 7
  * debian/rules: upstream ChangeLog is now called NEWS
  * debian/control: Standards Version to 3.9.5. (No changes needed).
  * debian/control: switch to dh 9
  * debian/control: use guile 2.0 now
  * debian/rules: use debhelper
  * debian/rules: use --with autoreconf (Closes: #744464)
  * debian/copyright: adapt years

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 11 May 2014 11:20:00 +0200
