=== debian/control ===
--- 
+++ 
@@ -2,8 +2,21 @@
 Section: science
 Priority: optional
 Maintainer: Thorsten Alteholz <debian@alteholz.de>
-Build-Depends: gfortran, debhelper (>= 8), autotools-dev, libctl-dev (>= 3.0.3-3), pkg-config, libharminv-dev (>= 1.1), zlib1g-dev, libfftw3-dev, libhdf5-openmpi-dev, libgsl0-dev, liblapack-dev, libopenmpi-dev, libatlas-base-dev, chrpath
-Standards-Version: 3.9.2
+Build-Depends: gfortran, 
+  debhelper (>= 9), 
+  autotools-dev, 
+  dh-autoreconf,
+  libctl-dev (>= 3.2.2-2), 
+  pkg-config, 
+  libharminv-dev (>= 1.1), 
+  zlib1g-dev, libfftw3-dev, 
+  libhdf5-openmpi-dev, 
+  libgsl0-dev, 
+  liblapack-dev, 
+  libopenmpi-dev, 
+  libatlas-base-dev, 
+  chrpath
+Standards-Version: 3.9.5
 Homepage: http://ab-initio.mit.edu/wiki/index.php/Meep
 
 Package: meep-openmpi
@@ -36,7 +49,7 @@
  As opposed to meep-mpi this package also contains the OpenMPI version of 
  libhdf5. 
 
-Package: libmeep-openmpi6
+Package: libmeep-openmpi7
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -68,8 +81,8 @@
 Package: libmeep-openmpi-dev
 Section: libdevel
 Architecture: any
-Conflicts: libmeep-dev, libmeep-mpi-dev, libmeep-mpich-dev
-Depends: libmeep-openmpi6 (= ${binary:Version}), ${misc:Depends}
+Conflicts: libmeep-dev, libmeep-mpi-dev, libmeep-mpich-dev, libmeep-mpich2-dev, libmeep-lam4-dev
+Depends: libmeep-openmpi7 (= ${binary:Version}), ${misc:Depends}
 Description: development library for using parallel (OpenMPI) version of meep
  Meep (or MEEP) is a free finite-difference time-domain (FDTD) simulation
  software package developed at MIT to model electromagnetic systems.
