## meep-openmpi 1.3

=== debian/changelog ===
meep-openmpi (1.3-3build4) artful; urgency=medium

  * No-change rebuild for libgsl soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 06 Aug 2017 00:13:30 +0000

meep-openmpi (1.3-3build3) zesty; urgency=medium

  * Rebuild against new hdf5

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 29 Nov 2016 17:52:11 +0000

meep-openmpi (1.3-3build2) zesty; urgency=medium

  * No-change rebuild against libopenmpi2

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 22 Oct 2016 01:37:24 +0000

meep-openmpi (1.3-3build1) xenial; urgency=medium

  * No-change rebuild for openmpi transition.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Feb 2016 12:56:49 +0000

meep-openmpi (1.3-3) unstable; urgency=medium

  * Update build dependencies for GSL 2, change libgsl0-dev to libgsl-dev.
    Thanks to Bas Couwenberg for the patch. (Closes: #807215)
  * debian/rules: put correct path to --with-libctl

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 20 Dec 2015 19:00:00 +0100

meep-openmpi (1.3-2) unstable; urgency=medium

  * debian/control: add conflict with old version of libs (Closes: #790749)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 05 Jul 2015 09:20:00 +0200

meep-openmpi (1.3-1) unstable; urgency=medium

  * new upstream version 
  * soname changed to 8
  * debian/control: Standards Version to 3.9.6. (No changes needed).

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 21 Jun 2015 14:30:00 +0200
