=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: meep-openmpi
 Section: science
 Priority: optional
-Maintainer: Thorsten Alteholz <debian@alteholz.de>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Thorsten Alteholz <debian@alteholz.de>
 Build-Depends: gfortran, 
   debhelper (>= 9), 
   autotools-dev, 
@@ -11,12 +12,12 @@
   libharminv-dev (>= 1.1), 
   zlib1g-dev, libfftw3-dev, 
   libhdf5-openmpi-dev, 
-  libgsl0-dev, 
+  libgsl-dev, 
   liblapack-dev, 
   libopenmpi-dev, 
   libatlas-base-dev, 
   chrpath
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://ab-initio.mit.edu/wiki/index.php/Meep
 
 Package: meep-openmpi
@@ -49,8 +50,9 @@
  As opposed to meep-mpi this package also contains the OpenMPI version of 
  libhdf5. 
 
-Package: libmeep-openmpi7
+Package: libmeep-openmpi8
 Section: libs
+Conflicts: libmeep-openmpi6, libmeep-openmpi7
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: library for using parallel (OpenMPI) version of meep
@@ -82,7 +84,7 @@
 Section: libdevel
 Architecture: any
 Conflicts: libmeep-dev, libmeep-mpi-dev, libmeep-mpich-dev, libmeep-mpich2-dev, libmeep-lam4-dev
-Depends: libmeep-openmpi7 (= ${binary:Version}), ${misc:Depends}
+Depends: libmeep-openmpi8 (= ${binary:Version}), ${misc:Depends}
 Description: development library for using parallel (OpenMPI) version of meep
  Meep (or MEEP) is a free finite-difference time-domain (FDTD) simulation
  software package developed at MIT to model electromagnetic systems.
