=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Thorsten Alteholz <debian@alteholz.de>
 Build-Depends: gfortran
-	, debhelper (>= 11)
-	, libctl-dev (>= 4.1.4-2)
+	, debhelper (>= 12)
+	, libctl-dev (>= 4.4.0)
 	, pkg-config
 	, libharminv-dev (>= 1.4.1)
 	, zlib1g-dev
@@ -13,13 +13,14 @@
 	, libgsl-dev
 	, liblapack-dev
 	, libopenmpi-dev
-	, libatlas-base-dev
+	, libblas-dev
 	, chrpath
 	, swig
-        , python-dev
-        , python-numpy
-        , python-h5py
+        , python3-dev
+        , python3-numpy
+        , python3-h5py
 	, openmpi-bin
+	, libgdsii-dev
 Standards-Version: 4.3.0
 Homepage: https://meep.readthedocs.i
 Vcs-Browser: https://salsa.debian.org/alteholz/meep-openmpi
@@ -28,6 +29,7 @@
 Package: meep-openmpi
 Architecture: any
 Depends: ${shlibs:Depends}, openmpi-bin, ${misc:Depends}
+Recommends: libopenblas-base | libatlas3-base | libmkl-rt | libblas.so.3
 Description: software package for FDTD simulation, parallel (OpenMPI) version
  Meep is a free and open-source software package for electromagnetics
  simulation via the finite-difference time-domain (FDTD) method.
@@ -61,13 +63,38 @@
  As opposed to meep-mpi this package also contains the OpenMPI version of
  libhdf5.
 
-Package: libmeep-openmpi12
+Package: libmeep-openmpi17
 Section: libs
-Conflicts: libmeep-openmpi6, libmeep-openmpi7, libmeep-openmpi8
-	, libmeep-lam4-6, libmeep-lam4-7, libmeep-lam4-8, libmeep-lam4-12
-	, libmeep-mpi-default6, libmeep-mpi-default7, libmeep-mpi-default8, libmeep-mpi-default12
-	, libmeep-mpich2-6, libmeep-mpich2-7, libmeep-mpich2-8, libmeep-mpich2-12
-	, libmeep6, libmeep7, libmeep8, libmeep10, libmeep12
+Conflicts: libmeep-openmpi6
+	, libmeep-openmpi7
+	, libmeep-openmpi8
+	, libmeep-openmpi12
+	, libmeep-openmpi16
+	, libmeep-lam4-6
+	, libmeep-lam4-7
+	, libmeep-lam4-8
+	, libmeep-lam4-12
+	, libmeep-lam4-16
+	, libmeep-lam4-17
+	, libmeep-mpi-default6
+	, libmeep-mpi-default7
+	, libmeep-mpi-default8
+	, libmeep-mpi-default12
+	, libmeep-mpi-default16
+	, libmeep-mpi-default17
+	, libmeep-mpich2-6
+	, libmeep-mpich2-7
+	, libmeep-mpich2-8
+	, libmeep-mpich2-12
+	, libmeep-mpich2-16
+	, libmeep-mpich2-17
+	, libmeep6
+	, libmeep7
+	, libmeep8
+	, libmeep10
+	, libmeep12
+	, libmeep16
+	, libmeep17
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: library for using parallel (OpenMPI) version of meep
@@ -105,7 +132,7 @@
 Section: libdevel
 Architecture: any
 Conflicts: libmeep-dev, libmeep-mpi-dev, libmeep-mpich-dev, libmeep-mpich2-dev, libmeep-lam4-dev
-Depends: libmeep-openmpi12 (= ${binary:Version}), ${misc:Depends}
+Depends: libmeep-openmpi17 (= ${binary:Version}), ${misc:Depends}
 Description: development library for using parallel (OpenMPI) version of meep
  Meep is a free and open-source software package for electromagnetics
  simulation via the finite-difference time-domain (FDTD) method.
@@ -137,14 +164,14 @@
  .
  This package contains some files for developing software linked to MPI.
 
-Package: python-meep-openmpi
+Package: python3-meep-openmpi
 Section: python
 Architecture: any
-Depends: libmeep-openmpi12 (= ${binary:Version})
+Depends: libmeep-openmpi17 (= ${binary:Version})
         , ${misc:Depends}
         , ${shlibs:Depends}
-        , python-numpy
-        , python
+        , python3-numpy
+        , python3
 Description: software package for FDTD simulation with Python
  Meep is a free and open-source software package for electromagnetics
  simulation via the finite-difference time-domain (FDTD) method.
