=== debian/rules ===
--- 
+++ 
@@ -34,14 +34,18 @@
 override_dh_auto_install:
 	dh_installchangelogs NEWS.md
 	dh_auto_install
-	$(RM) debian/tmp/usr/lib/python2.7/dist-packages/meep/*.pyc
-	$(RM) debian/tmp/usr/lib/python2.7/dist-packages/meep/*.pyo
-	$(RM) debian/tmp/usr/lib/python2.7/dist-packages/meep/*.a
-	$(RM) debian/tmp/usr/lib/python2.7/dist-packages/meep/*.la
-	$(RM) debian/tmp/usr/lib/python2.7/dist-packages/meep/mpb/*.pyc
-	$(RM) debian/tmp/usr/lib/python2.7/dist-packages/meep/mpb/*.pyo
-	$(RM) debian/tmp/usr/lib/python2.7/dist-packages/meep/mpb/*.a
-	$(RM) debian/tmp/usr/lib/python2.7/dist-packages/meep/mpb/*.la
+	find
+	$(RM) debian/tmp/usr/lib/python*/site-packages/meep/*.pyc
+	$(RM) debian/tmp/usr/lib/python*/site-packages/meep/*.pyo
+	$(RM) debian/tmp/usr/lib/python*/site-packages/meep/*.a
+	$(RM) debian/tmp/usr/lib/python*/site-packages/meep/*.la
+	$(RM) debian/tmp/usr/lib/python*/site-packages/meep/mpb/*.pyc
+	$(RM) debian/tmp/usr/lib/python*/site-packages/meep/mpb/*.pyo
+	$(RM) debian/tmp/usr/lib/python*/site-packages/meep/mpb/*.a
+	$(RM) debian/tmp/usr/lib/python*/site-packages/meep/mpb/*.la
+	$(RM) -rf debian/tmp/usr/lib/python*/site-packages/meep/__pycache__/
+	$(RM) -rf debian/tmp/usr/lib/python*/site-packages/meep/adjoint/__pycache__/
+
 	
 override_dh_clean:
 	# we do not need this anymore
@@ -49,20 +53,19 @@
 	dh_clean
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	echo ${arch}
-	#if [ "${arch}" = "armel" ] || \
-	#   [ "${arch}" = "mips" ] || \
-	#   [ "${arch}" = "mipsel" ] || \
-	#   [ "${arch}" = "powerpc" ] || \
-	#   [ "${arch}" = "sparc" ] ; then \
-	#  echo "Do not make tests on this architecture" ;\
-	#else \
-	#  echo "Do make tests on this architecture" ;\
-	#  make check; \
-	#  find; \
-	#  cat python/test-suite.log; \
-	#fi
-	# check whether testsuite runs everywhere
-	make check; \
-	cat tests/test-suite.log
-#	cat python/test-suite.log
+	if [ "${arch}" = "armel" ] || \
+           [ "${arch}" = "riscv64" ] || \
+           [ "${arch}" = "hurd-i386" ] ; then \
+	  echo "Do not make tests on this architecture" ;\
+	else \
+	  echo "Do make tests on this architecture" ;\
+	  make check; \
+	  find; \
+	  cat tests/test-suite.log; \
+	fi
+#	# check whether testsuite runs everywhere
+#	make check; \
+#	cat tests/test-suite.log
+endif
