## meep-openmpi 1.17.1

=== debian/changelog ===
meep-openmpi (1.17.1-2build1) jammy; urgency=medium

  * No-change rebuild against libgsl27

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 07 Dec 2021 17:38:10 +0000

meep-openmpi (1.17.1-2) unstable; urgency=medium

  * upload source package

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 03 Feb 2021 00:07:37 +0100

meep-openmpi (1.17.1-1) unstable; urgency=medium

  * New upstream release
  * upload to unstable
  * soname bump from 22 to 23

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 29 Jan 2021 00:02:35 +0000

meep-openmpi (1.16.1-3) experimental; urgency=medium

  * upload to experimental
  * debian/control: depend on mpb/libctl built with guile-3.0
                    (Closes: #969685)

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 14 Dec 2020 23:01:03 +0100

meep-openmpi (1.16.1-2) unstable; urgency=medium

  * upload source
  * debian/copyright: add m4 file

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 08 Dec 2020 23:01:03 +0100

meep-openmpi (1.16.1-1) unstable; urgency=medium

  * New upstream release (Closes: #961077)
  * debian/control: bump SONAME to 22
  * debian/control: bump standard to 4.5.0 (no changes)
  * debian/control: adjust Conflicts:

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 05 Dec 2020 12:01:03 +0100
