=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: meep-openmpi
 Section: science
 Priority: optional
-Maintainer: Thorsten Alteholz <debian@alteholz.de>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Thorsten Alteholz <debian@alteholz.de>
 Build-Depends: gfortran
-	, debhelper (>= 12)
-	, libctl-dev (>= 4.4.0)
+	, debhelper-compat (= 12)
+	, libctl-dev (>= 4.5.0-8)
 	, pkg-config
 	, libharminv-dev (>= 1.4.1)
 	, zlib1g-dev
@@ -21,7 +22,8 @@
         , python3-h5py
 	, openmpi-bin
 	, libgdsii-dev
-Standards-Version: 4.3.0
+#	, python3-matplotlib
+Standards-Version: 4.5.0
 Homepage: https://meep.readthedocs.i
 Vcs-Browser: https://salsa.debian.org/alteholz/meep-openmpi
 Vcs-Git: https://salsa.debian.org/alteholz/meep-openmpi.git
@@ -29,6 +31,9 @@
 Package: meep-openmpi
 Architecture: any
 Depends: ${shlibs:Depends}, openmpi-bin, ${misc:Depends}
+Conflicts: meep-mpi-default
+        , meep-mpich2
+        , meep
 Recommends: libopenblas-base | libatlas3-base | libmkl-rt | libblas.so.3
 Description: software package for FDTD simulation, parallel (OpenMPI) version
  Meep is a free and open-source software package for electromagnetics
@@ -63,31 +68,39 @@
  As opposed to meep-mpi this package also contains the OpenMPI version of
  libhdf5.
 
-Package: libmeep-openmpi17
+Package: libmeep-openmpi23
 Section: libs
 Conflicts: libmeep-openmpi6
 	, libmeep-openmpi7
 	, libmeep-openmpi8
 	, libmeep-openmpi12
 	, libmeep-openmpi16
+	, libmeep-openmpi17
+	, libmeep-openmpi22
 	, libmeep-lam4-6
 	, libmeep-lam4-7
 	, libmeep-lam4-8
 	, libmeep-lam4-12
 	, libmeep-lam4-16
 	, libmeep-lam4-17
+	, libmeep-lam4-22
+	, libmeep-lam4-23
 	, libmeep-mpi-default6
 	, libmeep-mpi-default7
 	, libmeep-mpi-default8
 	, libmeep-mpi-default12
 	, libmeep-mpi-default16
 	, libmeep-mpi-default17
+	, libmeep-mpi-default22
+	, libmeep-mpi-default23
 	, libmeep-mpich2-6
 	, libmeep-mpich2-7
 	, libmeep-mpich2-8
 	, libmeep-mpich2-12
 	, libmeep-mpich2-16
 	, libmeep-mpich2-17
+	, libmeep-mpich2-22
+	, libmeep-mpich2-23
 	, libmeep6
 	, libmeep7
 	, libmeep8
@@ -95,6 +108,8 @@
 	, libmeep12
 	, libmeep16
 	, libmeep17
+	, libmeep22
+	, libmeep23
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: library for using parallel (OpenMPI) version of meep
@@ -132,7 +147,7 @@
 Section: libdevel
 Architecture: any
 Conflicts: libmeep-dev, libmeep-mpi-dev, libmeep-mpich-dev, libmeep-mpich2-dev, libmeep-lam4-dev
-Depends: libmeep-openmpi17 (= ${binary:Version}), ${misc:Depends}
+Depends: libmeep-openmpi23 (= ${binary:Version}), ${misc:Depends}
 Description: development library for using parallel (OpenMPI) version of meep
  Meep is a free and open-source software package for electromagnetics
  simulation via the finite-difference time-domain (FDTD) method.
@@ -167,7 +182,7 @@
 Package: python3-meep-openmpi
 Section: python
 Architecture: any
-Depends: libmeep-openmpi17 (= ${binary:Version})
+Depends: libmeep-openmpi23 (= ${binary:Version})
         , ${misc:Depends}
         , ${shlibs:Depends}
         , python3-numpy
