=== debian/rules ===
--- 
+++ 
@@ -57,6 +57,8 @@
 	echo ${arch}
 	if [ "${arch}" = "armel" ] || \
            [ "${arch}" = "riscv64" ] || \
+           [ "${arch}" = "mipsel" ] || \
+           [ "${arch}" = "mips64el" ] || \
            [ "${arch}" = "hurd-i386" ] ; then \
 	  echo "Do not make tests on this architecture" ;\
 	else \
